﻿/** @file cmutex.cpp

	@author Sasaji
	@date   2016.11.01

	@brief mutex
*/

#include "cmutex.h"

CMutex::CMutex()
{
	mux = SDL_CreateMutex();
}

CMutex::~CMutex()
{
	SDL_DestroyMutex(mux);
}

void CMutex::lock()
{
	SDL_mutexP(mux);
}

void CMutex::unlock()
{
	SDL_mutexV(mux);
}

